com.tibco.ax.fw.runtime.transport.sshftp

## Interface SSHFTPReply

- All Superinterfaces:
    IFTPFlavorReply

      public interface SSHFTPReply
      extends IFTPFlavorReply

  This interface collects several status codes that can be the result of ssh ftp operations. The returned codes resemble the codes (and their meanings) from the ftp implementation but they are not related. The resemblance is maintained only for the purpose of easy association but the ssh / filexfer specifications don't require such codes to be exchanged between the server and the client. Custom script based implementations may test for these code values but note that the supported codes are not meant to be aligned with the codes defined in and used by the ftp transport.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COMMAND_NOT_IMPLEMENTED_CODE` Command not implemented.
    `static int` | `FILE_NAME_NOT_ALLOWED_CODE` The requested file cannot be accessed or returned.
    `static int` | `PERMANENT_NEGATIVE_COMPLETION_REPLY_CODE` Command execution failed, there is no reason to attempts further retries with the supplied data.
    `static int` | `PERMANENTLY_UNAVAILABLE_FILE_CODE` The requested file or object has not been found.
    `static int` | `POSITIVE_COMPLETION_REPLY_CODE` Command executed without errors.
    `static int` | `SYNTAX_ERROR_IN_ARGUMENTS_CODE` Syntax error in parameters or arguments.

  - ### Method Summary

    - ### Methods inherited from interface com.tibco.ax.fw.runtime.transport.IFTPFlavorReply

      `getFileName, getOperationID, getRemoteFileList, getReturnCode, getReturnMsg, setOperationID, toString`

- - ### Field Detail

    - #### POSITIVE_COMPLETION_REPLY_CODE

          static final int POSITIVE_COMPLETION_REPLY_CODE

      Command executed without errors.
      See Also:
        Constant Field Values

    - #### PERMANENT_NEGATIVE_COMPLETION_REPLY_CODE

          static final int PERMANENT_NEGATIVE_COMPLETION_REPLY_CODE

      Command execution failed, there is no reason to attempts further retries with the supplied data.
      See Also:
        Constant Field Values

    - #### SYNTAX_ERROR_IN_ARGUMENTS_CODE

          static final int SYNTAX_ERROR_IN_ARGUMENTS_CODE

      Syntax error in parameters or arguments.
      See Also:
        Constant Field Values

    - #### COMMAND_NOT_IMPLEMENTED_CODE

          static final int COMMAND_NOT_IMPLEMENTED_CODE

      Command not implemented. This status code is not supposed to be returned during normal operations.
      See Also:
        Constant Field Values

    - #### PERMANENTLY_UNAVAILABLE_FILE_CODE

          static final int PERMANENTLY_UNAVAILABLE_FILE_CODE

      The requested file or object has not been found.
      See Also:
        Constant Field Values

    - #### FILE_NAME_NOT_ALLOWED_CODE

          static final int FILE_NAME_NOT_ALLOWED_CODE

      The requested file cannot be accessed or returned. E.g. there are insufficient privileges to access the file specified.
      See Also:
        Constant Field Values